Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.groups
Class ReferenceIndividualGroupServiceFactory

    java.lang.Object
      org.jasig.portal.groups.ReferenceIndividualGroupServiceFactory

All Implemented Interfaces:
  IComponentGroupServiceFactory

    public class ReferenceIndividualGroupServiceFactory

extends java.lang.Object
implements IComponentGroupServiceFactory

Creates an instance of the reference `IIndividualGroupService`.

Version:
  $Revision: 1.4 $
Author:
  Dan Ellentuck

Field Summary
`private static org.apache.commons.logging.Log` | `log`

Constructor Summary
`ReferenceIndividualGroupServiceFactory()` ReferenceGroupServiceFactory constructor.

Method Summary
`IComponentGroupService` | `newGroupService()` Return an instance of the service implementation.
`IComponentGroupService` | `newGroupService(ComponentGroupServiceDescriptor svcDescriptor)` Return an instance of the service implementation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

Constructor Detail

### ReferenceIndividualGroupServiceFactory

    public ReferenceIndividualGroupServiceFactory()

  ReferenceGroupServiceFactory constructor.

Method Detail

### newGroupService

    public IComponentGroupService newGroupService()
                                           throws GroupsException

  Return an instance of the service implementation.

  Specified by:
    `newGroupService` in interface `IComponentGroupServiceFactory`
  Returns:
    IIndividualGroupService
  Throws:
    `GroupsException`

### newGroupService

    public IComponentGroupService newGroupService(ComponentGroupServiceDescriptor svcDescriptor)
                                           throws GroupsException

  Return an instance of the service implementation.

  Specified by:
    `newGroupService` in interface `IComponentGroupServiceFactory`
  Parameters:
    `svcDescriptor` - org.jasig.portal.groups.ComponentGroupServiceDescriptor
  Returns:
    IIndividualGroupService
  Throws:
    `GroupsException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD